using System;

internal sealed class Delegate32 : MulticastDelegate
{
	public extern string Invoke(string string_0, object object_0);

	public static string smethod_0(string string_0, object object_0, Delegate32 delegate32_1)
	{
		return delegate32_1(string_0, object_0);
	}

	public extern Delegate32(object object_0, IntPtr intptr_0);

	static Delegate32()
	{
		Class10.smethod_13(typeof(Delegate32).TypeHandle);
	}

	internal static Delegate32 delegate32_0;
}
